Subject: [Shop-talk] multimeter recommendations

From: Tom Coradeschi <[email-masked]>
Date: Fri, 21 Aug 2020 19:24:08 -0400

Good evening, all. So, my trusty craftsman multimeter has decided to give up the ghost and I’m seeking insights on what I might replace it with.

Looked at the Fluke website, and reminded myself why I bought the craftsman in the first place. Not saying the Fluke stuff isn’t rock solid, but value for the dollar spent when you’re a casual user really isn’t there. Applications are home and automotive in nature.

Basic functionality:
AC/DC voltage, resistance/continuity are must haves
thermocouple inputs are a highly rated nice to have
Autoranging is also a must have

What are folks out there using that you would recommend?

Thanks.

—
Tom Coradeschi
[email-masked]

_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.96
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]